Index: doc/latex/classdiffbifn__inherit__graph.eps
===================================================================
--- doc/latex/classdiffbifn__inherit__graph.eps (revision 79)
+++ doc/latex/classdiffbifn__inherit__graph.eps (revision 91)
@@ -1,4 +1,4 @@
 %!PS-Adobe-2.0
-%%Creator: Graphviz version 2.12 (Tue Sep  4 16:56:48 UTC 2007)
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
 %%For: (smidl) Vasek Smidl,,,
 %%Title: G
@@ -89,15 +89,13 @@
 } def
 
-% draw aligned label in bounding box aligned to current point
-/alignedtext {			% width adj text
+% draw text fitted to its expected width
+/alignedtext {			% width text
 	/text exch def
-	/adj exch def
 	/width exch def
 	gsave
 		width 0 gt {
-			text stringwidth pop adj mul 0 rmoveto
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
 		} if
-		[] 0 setdash
-		text show
 	grestore
 } def
@@ -182,51 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 246 240
+%%PageBoundingBox: 36 36 234 232
 %%PageOrientation: Portrait
-gsave
-36 36 246 240 boxprim clip newpath
 0 0 1 beginpage
+gsave
+36 36 198 196 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 200 lineto
-206 200 lineto
-206 -4 lineto
-closepath fill
-1 setlinewidth
-0.000 0.000 1.000 graphcolor
-newpath -4 -4 moveto
--4 200 lineto
-206 200 lineto
-206 -4 lineto
-closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 66 116 moveto
-66 137 lineto
-116 137 lineto
-116 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 66 116 moveto
-66 137 lineto
-116 137 lineto
-116 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-91 123 moveto 34 -0.5 (diffbifn) alignedtext
+newpath 65 112 moveto
+65 131 lineto
+110 131 lineto
+110 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 65 112 moveto
+65 131 lineto
+110 131 lineto
+110 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+72.375 117.25 moveto 29.25 (diffbifn) alignedtext
 grestore
 % Node3
 gsave
-[ /Rect [ 0 59 44 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classbilinfn.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 0 59 44 79 ]
+[ /Rect [ 0 57 42 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbilinfn.html) >>
@@ -234,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 58 moveto
-0 79 lineto
-44 79 lineto
-44 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 58 moveto
-0 79 lineto
-44 79 lineto
-44 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-22 65 moveto 28 -0.5 (bilinfn) alignedtext
+newpath 0 56 moveto
+0 75 lineto
+42 75 lineto
+42 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 56 moveto
+0 75 lineto
+42 75 lineto
+42 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+8.25 61.25 moveto 25.5 (bilinfn) alignedtext
 grestore
 % Node1->Node3
@@ -256,28 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 70 109 moveto
-58 99 44 87 34 79 curveto
+newpath 67 105 moveto
+56 96 42 83 32 75 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 68.1694 112.049 moveto
-78 116 lineto
-72.779 106.781 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 68.1694 112.049 moveto
-78 116 lineto
-72.779 106.781 lineto
+newpath 65.1694 108.049 moveto
+75 112 lineto
+69.779 102.781 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 65.1694 108.049 moveto
+75 112 lineto
+69.779 102.781 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 62 59 120 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classIMpmsm.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 62 59 120 79 ]
+[ /Rect [ 60 57 114 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classIMpmsm.html) >>
@@ -285,20 +260,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 62 58 moveto
-62 79 lineto
-121 79 lineto
-121 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 62 58 moveto
-62 79 lineto
-121 79 lineto
-121 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-91 65 moveto 43 -0.5 (IMpmsm) alignedtext
+newpath 60 56 moveto
+60 75 lineto
+114 75 lineto
+114 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 60 56 moveto
+60 75 lineto
+114 75 lineto
+114 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+67.875 61.25 moveto 38.25 (IMpmsm) alignedtext
 grestore
 % Node1->Node4
@@ -307,28 +282,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 91 106 moveto
-91 96 91 86 91 79 curveto
+newpath 87 102 moveto
+87 93 87 82 87 75 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 87.5001 106 moveto
-91 116 lineto
-94.5001 106 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 87.5001 106 moveto
-91 116 lineto
-94.5001 106 lineto
+newpath 83.5001 102 moveto
+87 112 lineto
+90.5001 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 83.5001 102 moveto
+87 112 lineto
+90.5001 102 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 138 59 202 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classOMpmsm.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 138 59 202 79 ]
+[ /Rect [ 132 57 190 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classOMpmsm.html) >>
@@ -336,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 138 58 moveto
-138 79 lineto
-202 79 lineto
-202 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 138 58 moveto
-138 79 lineto
-202 79 lineto
-202 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-170 65 moveto 48 -0.5 (OMpmsm) alignedtext
+newpath 132 56 moveto
+132 75 lineto
+191 75 lineto
+191 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 132 56 moveto
+132 75 lineto
+191 75 lineto
+191 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+139.625 61.25 moveto 42.75 (OMpmsm) alignedtext
 grestore
 % Node1->Node6
@@ -358,28 +328,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 114 110 moveto
-128 100 144 87 156 79 curveto
+newpath 108 106 moveto
+122 96 138 83 149 75 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 111.9 107.2 moveto
-106 116 lineto
-116.1 112.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 111.9 107.2 moveto
-106 116 lineto
-116.1 112.8 lineto
+newpath 105.9 103.2 moveto
+100 112 lineto
+110.1 108.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 105.9 103.2 moveto
+100 112 lineto
+110.1 108.8 lineto
 closepath stroke
 grestore
 % Node2
 gsave
-[ /Rect [ 76 175 106 195 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classfnc.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 76 175 106 195 ]
+[ /Rect [ 72 169 102 187 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classfnc.html) >>
@@ -387,20 +352,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 76 174 moveto
-76 195 lineto
-107 195 lineto
-107 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 76 174 moveto
-76 195 lineto
-107 195 lineto
-107 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-91 181 moveto 15 -0.5 (fnc) alignedtext
+newpath 72 168 moveto
+72 187 lineto
+102 187 lineto
+102 168 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 72 168 moveto
+72 187 lineto
+102 187 lineto
+102 168 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+80.25 173.25 moveto 13.5 (fnc) alignedtext
 grestore
 % Node2->Node1
@@ -409,18 +374,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 91 164 moveto
-91 154 91 144 91 137 curveto
+newpath 87 158 moveto
+87 149 87 138 87 131 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 87.5001 164 moveto
-91 174 lineto
-94.5001 164 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 87.5001 164 moveto
-91 174 lineto
-94.5001 164 lineto
+newpath 83.5001 158 moveto
+87 168 lineto
+90.5001 158 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 83.5001 158 moveto
+87 168 lineto
+90.5001 158 lineto
 closepath stroke
 grestore
@@ -429,7 +394,7 @@
 0.000 0.000 1.000 nodecolor
 newpath 51 0 moveto
-51 21 lineto
-131 21 lineto
-131 0 lineto
+51 19 lineto
+123 19 lineto
+123 0 lineto
 closepath fill
 1 setlinewidth
@@ -437,11 +402,11 @@
 0.000 0.000 0.749 nodecolor
 newpath 51 0 moveto
-51 21 lineto
-131 21 lineto
-131 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-91 7 moveto 64 -0.5 (IMpmsmStat) alignedtext
+51 19 lineto
+123 19 lineto
+123 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+58.875 5.25 moveto 56.25 (IMpmsmStat) alignedtext
 grestore
 % Node4->Node5
@@ -450,18 +415,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 91 48 moveto
-91 38 91 28 91 21 curveto
+newpath 87 46 moveto
+87 37 87 26 87 19 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 87.5001 48 moveto
-91 58 lineto
-94.5001 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 87.5001 48 moveto
-91 58 lineto
-94.5001 48 lineto
+newpath 83.5001 46 moveto
+87 56 lineto
+90.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 83.5001 46 moveto
+87 56 lineto
+90.5001 46 lineto
 closepath stroke
 grestore
@@ -473,5 +438,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 246 240
+%%BoundingBox: 36 36 234 232
 end
 restore
